/***************************************************************

EVENTSxx.MD file

- Tag is from  'A' to 'Z' uppercase
- Begin and end hours are calculated with:

                H = (hours*60 + minutes)

- Errorlevel can be between 20 and 255

******************************************************************/

#ifndef __EV_H
#define __EV_H



#define MON             0x01
#define TUE             0x02
#define WED             0x04
#define THU             0x08
#define FRI             0x10
#define SAT             0x20
#define SUN             0x40
#define ALL_DAYS        0x80



typedef unsigned short boolean;
typedef unsigned short _3state;

#define EV_NO   0x00    // Yes
#define EV_SI   0x01    // No
#define EV_AL   0x02    // Vip

#define MAXEVT 26

#define EV_ACTIVE	0x00
#define EV_INACTIVE	0x01
#define EV_DELETED	0x02

typedef struct _TagEvent {
unsigned short
			tag,
			days,
			modifi,
            begin_h,
            end_h,
			errlevel,
			delay;
		boolean
			inactive,
			exit_errlevel,
			crash_only,
            Reserved1,
			forced,
            Reserved2,
			allow_zchat,
			sound,
            Reserved3,
            Reserved4,
            Reserved5,
			rcv_only,
			snd_only,
			never_call,
            exit_echomail,
			exit_netmail,
            Reserved6,
            Reserved7,
            Reserved8,
			answer;

		_3state
			allow_users,
			allow_freq;
		unsigned char
            init[51],           /* Init string */
			title[51],
			Filler[128];

} TagEvent;


#endif
